AbstractCache (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.modules.session.bootstrap, class: AbstractCache

Package org.apache.geode.modules.session.bootstrap

# Class AbstractCache

java.lang.Object
org.apache.geode.modules.session.bootstrap.AbstractCache

Direct Known Subclasses:
  `ClientServerCache`, `PeerToPeerCache`

public abstract class AbstractCache extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected GemFireCache`
  `cache`
  `protected static AbstractCache`
  `instance`
  Instance reference which is set in static initialization blocks of any subclasses.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `protected abstract void`
  `createOrRetrieveCache()`
  `GemFireCache`
  `getCache()`
  `float`
  `getCriticalHeapPercentage()`
  `protected abstract String`
  `getDefaultCacheXmlFileName()`
  `float`
  `getEvictionHeapPercentage()`
  `org.slf4j.Logger`
  `getLogger()`
  `boolean`
  `getRebalance()`
  `boolean`
  `isStarted()`
  `void`
  `lifecycleEvent(LifecycleTypeAdapter eventType)`
  `protected abstract void`
  `rebalanceCache()`
  `void`
  `setCriticalHeapPercentage(String criticalHeapPercentage)`
  `void`
  `setEvictionHeapPercentage(String evictionHeapPercentage)`
  `void`
  `setProperty(String name, String value)`
  `void`
  `setRebalance(boolean rebalance)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### cache

    protected GemFireCache cache

  - ### instance

    protected static AbstractCache instance
    Instance reference which is set in static initialization blocks of any subclasses.

- ## Method Details

  - ### lifecycleEvent

    public void lifecycleEvent(LifecycleTypeAdapter eventType)

  - ### isStarted

    public boolean isStarted()

  - ### close

    public void close()

  - ### getCache

    public GemFireCache getCache()

  - ### getEvictionHeapPercentage

    public float getEvictionHeapPercentage()

  - ### setEvictionHeapPercentage

    public void setEvictionHeapPercentage(String evictionHeapPercentage)

  - ### getCriticalHeapPercentage

    public float getCriticalHeapPercentage()

  - ### setCriticalHeapPercentage

    public void setCriticalHeapPercentage(String criticalHeapPercentage)

  - ### setRebalance

    public void setRebalance(boolean rebalance)

  - ### getRebalance

    public boolean getRebalance()

  - ### setProperty

    public void setProperty(String name, String value)

  - ### getLogger

    public org.slf4j.Logger getLogger()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### createOrRetrieveCache

    protected abstract void createOrRetrieveCache()

  - ### rebalanceCache

    protected abstract void rebalanceCache()

  - ### getDefaultCacheXmlFileName

    protected abstract String getDefaultCacheXmlFileName()